diff --git a/source/org/jivesoftware/smack/util/StringUtils.java b/source/org/jivesoftware/smack/util/StringUtils.java
index 788ac11..ecc7cfb 100644
--- a/source/org/jivesoftware/smack/util/StringUtils.java
+++ b/source/org/jivesoftware/smack/util/StringUtils.java
@@ -31,6 +31,7 @@ import java.util.Random;
 public class StringUtils {
 
     private static final char[] QUOTE_ENCODE = "&quot;".toCharArray();
+    private static final char[] APOS_ENCODE = "&apos;".toCharArray();
     private static final char[] AMP_ENCODE = "&amp;".toCharArray();
     private static final char[] LT_ENCODE = "&lt;".toCharArray();
     private static final char[] GT_ENCODE = "&gt;".toCharArray();
@@ -326,6 +327,13 @@ public class StringUtils {
                 last = i + 1;
                 out.append(QUOTE_ENCODE);
             }
+            else if (ch == '\'') {
+                if (i > last) {
+                    out.append(input, last, i - last);
+                }
+                last = i + 1;
+                out.append(APOS_ENCODE);
+            }
         }
         if (last == 0) {
             return string;
@@ -501,4 +509,4 @@ public class StringUtils {
     private StringUtils() {
         // Not instantiable.
     }
-}
\ No newline at end of file
+}
